import { EventKey, SelectCallback } from "./types";
import { UseNavItemOptions, NavItemProps } from "./NavItem";
import { Component, JSX } from "solid-js";
export type { UseNavItemOptions, NavItemProps };
export interface NavProps extends Omit<JSX.HTMLAttributes<HTMLElement>, "onSelect"> {
    /**
     * Key for the currently active NavItem.
     */
    activeKey?: EventKey;
    /**
     * Element used to render the component.
     */
    as?: keyof JSX.IntrinsicElements | Component<any>;
    /**
     * A callback fired when a NavItem has been selected.
     */
    onSelect?: SelectCallback;
}
declare const _default: ((p: NavProps) => JSX.Element) & {
    Item: {
        (p: NavItemProps): JSX.Element;
        displayName: string;
    };
};
export default _default;
